##
##  unix-essentials.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         unix-essentials
Summary:      Unix Essentials
URL:          http://engelschall.com/
Vendor:       Ralf S. Engelschall
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Meta
License:      -
Version:      0
Release:      20100329

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101

#   essentials for Shell & Terminal
PreReq:       bash, screen, vim, less, tree

#   essentials for Text Filtering
PreReq:       recode, par, boxes, aspell

#   essentials for Calculation & Cryptography
PreReq:       openssl, bc, uuid, apg

#   essentials for File Manipulation
PreReq:       file, atool, libarchive, tar, cpio, gzip, bzip2, xz, infozip

#   essentials for File Patching
PreReq:       svs, patch, patchutils, diffutils, diffstat, bsdiff, xdelta

#   essentials for Networking
PreReq:       openssh, rsync, curl, socat, w3m, lftp

#   essentials for Scripting
PreReq:       sed, gawk, perl

#   essentials for System Integration
PreReq:       sudo

#   essentials for Compilation & Debugging
PreReq:       binutils, gcc, gdb, make

#   essentials for Source Version Control
PreReq:       cvs, subversion, monotone, git

#   essentials for Unix Program Development
PreReq:       automake, autoconf, libtool, shtool, flex, bison

%description
    This is Unix Essentials, a reference of all OpenPKG packages which
    Ralf S. Engelschall considers as absolutely "essential" -- and hence
    always should be available -- for reasonably working on any Unix
    server.

%track

%prep

%build

%install

%files

%clean

